| helics 3.6.1

Public Types | Public Member Functions | List of all members
helics::InterfaceHandle Class Reference

`#include <LocalFederateId.hpp>`

## Public Types
using | BaseType = IdentifierBaseType

## Public Member Functions
constexpr | InterfaceHandle ()=default
constexpr | InterfaceHandle (BaseType val) noexcept
constexpr BaseType | baseValue () const
bool | operator== (InterfaceHandle id) const noexcept
bool | operator!= (InterfaceHandle id) const noexcept
bool | operator< (InterfaceHandle id) const noexcept
bool | operator> (InterfaceHandle id) const noexcept
bool | isValid () const
BaseType * | getBaseTypePointer ()

## Detailed Description

class defining a LocalFederateId

the intent of this class is to limit the operations available on a federate identifier to those that are actually required and make sense, and make it as low impact as possible. it also acts to limit any mistakes of a LocalFederateId

## Constructor & Destructor Documentation

## ◆ InterfaceHandle()

constexpr helics::InterfaceHandle::InterfaceHandle | ( |  | ) |
| constexpr default

default constructor

## Member Function Documentation

## ◆ baseValue()

constexpr BaseType helics::InterfaceHandle::baseValue | ( |  | ) | const
| inline constexpr

extract the base value of the id code

Referenced by helics::HandleManager::addHandle(), helics::ActionMessage::getExtraData(), helics::ActionMessage::getExtraDestData(), helics::HandleManager::getHandleInfo(), helics::CommonCore::getHandleInfo(), helics::HandleManager::getInterfaceHandle(), helics::GlobalHandle::operator uint64_t(), helics::prettyPrintString(), helics::CommonCore::setInterfaceInfo(), helics::CommonCore::setInterfaceTag(), helics::ActionMessage::to_json_string(), and helics::ActionMessage::toByteArray().

## ◆ getBaseTypePointer()

BaseType* helics::InterfaceHandle::getBaseTypePointer | ( |  | ) |
| inline

get a pointer to the index value type for copying from memory

Referenced by helics::ActionMessage::fromByteArray().

## ◆ operator!=()

bool helics::InterfaceHandle::operator!= | ( | InterfaceHandle | id | ) | const
| inline noexcept

inequality operator

## ◆ operator<()

bool helics::InterfaceHandle::operator< | ( | InterfaceHandle | id | ) | const
| inline noexcept

comparison operator for sorting

## ◆ operator==()

bool helics::InterfaceHandle::operator== | ( | InterfaceHandle | id | ) | const
| inline noexcept

equality operator

The documentation for this class was generated from the following file:

- LocalFederateId.hpp